std::initializer_list< _E > Class Template Reference

`#include <initializer_list>`

## Public Types

typedef const _E * | const_iterator
typedef const _E & | const_reference
typedef const _E * | iterator
typedef const _E & | reference
typedef size_t | size_type
typedef _E | value_type

## Public Member Functions

constexpr const_iterator | begin () const noexcept
constexpr const_iterator | end () const noexcept
constexpr size_type | size () const noexcept

## Related Symbols

(Note that these are not member symbols.)
template<class _Tp>
constexpr const _Tp * | begin (initializer_list< _Tp > __ils) noexcept
template<class _Tp>
constexpr const _Tp * | end (initializer_list< _Tp > __ils) noexcept

## Detailed Description

template<class _E>
class std::initializer_list< _E >

initializer_list

Definition at line 47 of file initializer_list.

## Member Typedef Documentation

## const_iterator

template<class _E>

typedef const _E* std::initializer_list< _E >::const_iterator

Definition at line 55 of file initializer_list.

## const_reference

template<class _E>

typedef const _E& std::initializer_list< _E >::const_reference

Definition at line 52 of file initializer_list.

## iterator

template<class _E>

typedef const _E* std::initializer_list< _E >::iterator

Definition at line 54 of file initializer_list.

## reference

template<class _E>

typedef const _E& std::initializer_list< _E >::reference

Definition at line 51 of file initializer_list.

## size_type

template<class _E>

typedef size_t std::initializer_list< _E >::size_type

Definition at line 53 of file initializer_list.

## value_type

template<class _E>

typedef _E std::initializer_list< _E >::value_type

Definition at line 50 of file initializer_list.

## Constructor & Destructor Documentation

## initializer_list()

template<class _E>

std::initializer_list< _E >::initializer_list | ( |  | ) |

inline constexpr noexcept

Definition at line 66 of file initializer_list.

## Member Function Documentation

## begin()

template<class _E>

const_iterator std::initializer_list< _E >::begin | ( |  | ) | const

inline constexpr noexcept

Definition at line 75 of file initializer_list.

## end()

template<class _E>

const_iterator std::initializer_list< _E >::end | ( |  | ) | const

inline constexpr noexcept

Definition at line 79 of file initializer_list.

## size()

template<class _E>

size_type std::initializer_list< _E >::size | ( |  | ) | const

inline constexpr noexcept

Definition at line 71 of file initializer_list.

## Friends And Related Symbol Documentation

## begin()

template<class _Tp>

const _Tp * begin | ( | initializer_list< _Tp > | __ils | ) |

related

Return an iterator pointing to the first element of the initializer_list.

Parameters

  __ils | Initializer list.

Definition at line 90 of file initializer_list.

## end()

template<class _Tp>

const _Tp * end | ( | initializer_list< _Tp > | __ils | ) |

related

Return an iterator pointing to one past the last element of the initializer_list.

Parameters

  __ils | Initializer list.

Definition at line 101 of file initializer_list.

The documentation for this class was generated from the following file:

- initializer_list